#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define	pdir	Variable
%define	pnam	Magic
Summary:	Variable::Magic - Associate user-defined magic to variables from Perl
Summary(pl.UTF-8):	Variable::Magic - dowiązanie magii zdefiniowanej przez użytkownika do zmiennych w Perlu
Name:		perl-Variable-Magic
Version:	0.64
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/Variable/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	957d53fc6614deb593aa6d7cf96d713a
URL:		https://metacpan.org/dist/Variable-Magic
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Magic is Perl way of enhancing objects.

This mechanism let the user add extra data to any variable and hook
syntaxical operations (such as access, assignation or destruction)
that can be applied to it.

With this module, you can add your own magic to any variable without
the pain of the C API.

%description -l pl.UTF-8
Magia to perlowy sposób rozszerzania obiektów.

Ten mechanizm pozwala użytkownikowi dodać dodatkowe dane do dowolnej
zmiennej i przechwycić operacje składniowe (takie jak dostęp,
powiązanie czy destrukcję), które można na niej wykonać.

Przy użyciu tego modułu można dodawać własną magię do dowolnej
zmiennej unikając bólu API języka C.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%{__sed} -i -e '1s,/usr/bin/env perl,%{__perl},' samples/*.pl

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p samples/*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Variable/Magic.pm
%dir %{perl_vendorarch}/auto/Variable/Magic
%attr(755,root,root) %{perl_vendorarch}/auto/Variable/Magic/Magic.so
%{_mandir}/man3/Variable::Magic.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Jul 03 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Variable-Magic.git;a=log;h=master

* Wed Jul 03 2024 Jakub Bogusz <qboosh@pld-linux.org> 2b8a227
- updated to 0.64

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 1795104
- perl 5.40.0 rebuild

* Wed Aug 23 2023 Jakub Bogusz <qboosh@pld-linux.org> d165292
- updated URL

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> b5607f4
- perl 5.38.0 rebuild

* Fri Feb 03 2023 Jakub Bogusz <qboosh@pld-linux.org> aec211c
- updated to 0.63

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 223c44e
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> ac7af9c
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 8c155b9
- rebuild with perl 5.32

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 7bb294c
- macros for perl autodeps, fix shebangs

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 990e034
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 3b2bc2a
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> bc1f1f6
- updated to 0.62

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 714a15d
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8c82271
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Sat Nov 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 9c8b6a7
- updated to 0.60

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d06e17f
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 009e29c
- release 2 (by relup.sh)

* Mon Mar 09 2015 Jakub Bogusz <qboosh@pld-linux.org> eee9af0
- updated to 0.55
- pl

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> a6203e3
- x32 rebuild
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bd35f80
- rebuild for perl 5.20
- release 2 (by relup.sh)

